Page MenuHomePhabricator

[Farmer] "Catchable fatal error: Argument 1 passed to DatabaseBase::__construct() must be of the type array, string given" in Farmer-REL1_25-f4cbe03.tar.gz and MediaWiki 1.25.2
Open, LowestPublic

Description

Farmer-REL1_25-f4cbe03.tar.gz
from https://www.mediawiki.org/wiki/Special:ExtensionDistributor/Farmer

Catchable fatal error: Argument 1 passed to DatabaseBase::__construct() must be of the type array, string given, called in
/home/www/public_html/wiki/extensions/Farmer/MediaWikiFarmer_Wiki.php on line 415
and defined in
/home/www/public_html/wiki/includes/db/Database.php on line 768

Event Timeline

P1ayer created this task.Aug 31 2015, 12:23 PM
P1ayer raised the priority of this task from to Needs Triage.
P1ayer updated the task description. (Show Details)
P1ayer added a project: MediaWiki-Farmers.
P1ayer added a subscriber: P1ayer.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2015, 12:23 PM
TTO renamed this task from One Bug at Farmer-REL1_25-f4cbe03.tar.gz and MediaWiki 1.25.2 to [Farmer] One Bug at Farmer-REL1_25-f4cbe03.tar.gz and MediaWiki 1.25.2.Aug 31 2015, 12:34 PM
TTO triaged this task as Lowest priority.
TTO edited projects, added MediaWiki-extensions-Other; removed MediaWiki-Farmers.
TTO set Security to None.
TTO added a subscriber: TTO.

Farmer is an old and dead extension, don't expect anyone to fix this.

P1ayer added a comment.Sep 1 2015, 9:03 AM

Gregory Szorc (Author) , say:

I haven't contributed to farmer in many years and I'm not sure who still maintains it! You will have to report this to someone else.

I think it would make much more sense if wfGetDB() was directly used instead of some hacky DatabaseMysql::__construct() thing. It shouldn't be a really difficult patch though.

Hi I am currently the maintainer of it.

If you could upload a patch I will review it.

Please update to mediawiki 1.26 since seems to be fixed in that release.

Please update to mediawiki 1.26 since seems to be fixed in that release.

@Paladox: What exactly makes you think so?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 30 2016, 7:10 PM
Paladox added a comment.EditedSep 30 2016, 7:12 PM

I presume it is fixed.

But I carn't remember my reason then.

can you help me?

Aklapper renamed this task from [Farmer] One Bug at Farmer-REL1_25-f4cbe03.tar.gz and MediaWiki 1.25.2 to [Farmer] "Catchable fatal error: Argument 1 passed to DatabaseBase::__construct() must be of the type array, string given" in Farmer-REL1_25-f4cbe03.tar.gz and MediaWiki 1.25.2.Nov 6 2017, 12:52 PM

@Msnhinet8: This task is about a specific problem in the Farmer extension. This task is not a support forum for installing random other extensions like CreateWiki. Please use https://www.mediawiki.org/wiki/Project:Support_desk and avoid comments in Phabricator tasks about topics that are unrelated to the topic of the task.